Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160123 - Reconcile our two versions of check_all.js
Summary: Reconcile our two versions of check_all.js
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn400
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-10 22:42 UTC by David Lutterkort
Modified: 2013-04-30 23:39 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:25:49 UTC


Attachments (Terms of Use)

Description David Lutterkort 2005-06-10 22:42:21 UTC
My post to rhn-webdev-list and ensuing discussion
(http://post-office.corp.redhat.com/archives/rhn-webdev-list/2005-June/msg00974.html):

I am looking into a bug that seems to be related to check_all.js. The
first thing I noticed is that we have two copies of it in svn:

svn/eng/java/code/webapp/javascript/check_all.js
svn/eng/web/html/javascript/check_all.js

Only the second one seems to be used on a satellite. Unfortunately, the
two files differ; what is the story behind these two files ? Can I just
delete the one in the java tree ? Does anything need to be merged from
the java/ one into hte web/ one ?

Comment 1 Bret McMillan 2005-06-16 15:51:28 UTC
I think this originally came from rnorwood, but cturner & possible mbowman might
have more data.

And there's always 'svn blame' :)

If there are perl issues as well, file as sub-bugs and we can farm those out to
folks familiar w/ the perl codebase.

Comment 2 David Lutterkort 2005-06-22 19:44:25 UTC
Robin, I think you took care of this already, right ? If not, feel free to
reassign to me with a comment on what still needs to be done.

Comment 3 Robin Norwood 2005-07-14 20:18:19 UTC
On to 'ON_QA'.

Test plan:

This is basically an internal svn/cvs issue, not really any QA to do.  But you
can make sure javascript 'works', ie:

o Use the 'check all on page' checkbox at the top of a list with checkboxes'.
o Use the checkboxes on one of the system lists, and make sure the 'x systems
selected' count (ie, the contents of the SSM) is updated at the same time.

Comment 4 Fanny Augustin 2005-07-19 20:14:04 UTC
Looks good on QA


Note You need to log in before you can comment on or make changes to this bug.